"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const glob = require("glob");
const path = require("path");
const flat = require("flat");
function parseTranslations(i18nPath) {
    return __awaiter(this, void 0, void 0, function* () {
        return new Promise((resolve, reject) => {
            const translations = {};
            if (!fs.existsSync(i18nPath)) {
                reject('i18n path does not exists');
            }
            glob(i18nPath + '**/*.json', (err, files) => {
                if (err) {
                    return reject(err);
                }
                files.map(file => {
                    const key = path.parse(file).name;
                    const data = JSON.parse(fs.readFileSync(file, 'utf8'));
                    const flatData = flat.flatten(data);
                    for (const property of Object.keys(flatData)) {
                        translations[key] = !!translations[key] ? translations[key] : {};
                        if (!!translations[key][property]) {
                            reject(`translation "${property}" already exists in language "${key}", change key from file: ${file}`);
                            return;
                        }
                        translations[key][property] = flatData[property];
                    }
                });
                resolve(translations);
            });
        });
    });
}
exports.parseTranslations = parseTranslations;
